Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Token_Reply Class Reference

Message format for delivering replies from the ACE_Token Server. More...

`#include <Token_Request_Reply.h>`

Collaboration diagram for ACE_Token_Reply:

[legend]
List of all members.

## Public Methods
| ACE_Token_Reply (void)
| Default constructor.
ACE_UINT32 | length (void) const
| Get the length of the encoded/decoded message.
void | length (ACE_UINT32)
| Set the length of the encoded/decoded message.
ACE_UINT32 | errnum (void) const
| Get the errno of a reply.
void | errnum (ACE_UINT32)
| Set the errno of a reply.
ACE_UINT32 | arg (void) const
| Get the arg of a reply.
void | arg (ACE_UINT32)
| Set the arg of a reply.
int | encode (void *&)
| Encode the message before transfer.
int | decode (void)
| Decode a message after reception.
void | dump (void) const
| Print out the values of the message for debugging purposes.
## Private Attributes
ACE_Token_Reply::Transfer | transfer_

## Detailed Description

Message format for delivering replies from the ACE_Token Server.

This class is implemented to minimize data copying. In particular, all marshaling is done in situ...

## Constructor & Destructor Documentation

ACE_Token_Reply::ACE_Token_Reply | ( | void |  | ) |

| Default constructor.

## Member Function Documentation

void ACE_Token_Reply::arg | ( | ACE_UINT32 |  | ) |

| Set the arg of a reply.

ACE_UINT32 ACE_Token_Reply::arg | ( | void |  | ) | const

| Get the arg of a reply.

int ACE_Token_Reply::decode | ( | void |  | ) |

| Decode a message after reception.

void ACE_Token_Reply::dump | ( | void |  | ) | const

| Print out the values of the message for debugging purposes.

int ACE_Token_Reply::encode | ( | void *& |  | ) |

| Encode the message before transfer.

void ACE_Token_Reply::errnum | ( | ACE_UINT32 |  | ) |

| Set the errno of a reply.

ACE_UINT32 ACE_Token_Reply::errnum | ( | void |  | ) | const

| Get the errno of a reply.

void ACE_Token_Reply::length | ( | ACE_UINT32 |  | ) |

| Set the length of the encoded/decoded message.

ACE_UINT32 ACE_Token_Reply::length | ( | void |  | ) | const

| Get the length of the encoded/decoded message.

## Member Data Documentation

struct ACE_Token_Reply::Transfer ACE_Token_Reply::transfer_`[private]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Token_Request_Reply.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Token_Request_Reply.cpp